using Godot;

/**
 * Script attached to the main node in the WarningPanel scene.
 */
public partial class WarningPanel : Control
{
	[Export]
	public Label warningLabel;

	/**
	 * Show the panel with a warning message.
	 */
	public void ShowWarning(string warningMsg)
	{
		warningLabel.Text = warningMsg;

		Visible = true;
	}

	public void OnCloseButtonClick()
	{
		Visible = false;
	}
}
